Version 2.0.0 - February 25, 2010

  FlightGear 2.0.0. reflects the maturation of the OpenSceneGraph port
  that started with the previous 1.9.0 release. In addition to many
  internal code improvements, FlightGear 2.0.0. marks the introduction
  of many new exciting improvements in the graphics and sound system,
  as well as improved usability of key features, and improved behavior
  of exsisting features. Highlights of this new version include:
  Dramatic new 3D clouds, dramatic lighting conditions, improved
  support for custom scenery, and many many new and detailed aircraft
  models.

  Sound 
  * Complete overhaul of the sound code
  * doppler effects
  * distance attenuation
  * 3D positional sound sources
  * assignment of sound sources to external objects (i.e. AI controlled
    aircraft)
  * User selection of the sound device

  Visual Effects
  * Use of Shaders for dynamic textures
  * Use of Effects files
  * Improved 3D clouds
  * Color changes based on humidity and other weather effects allow for very
    dramatic lighting conditions
  * Dynamic water textures
  * Text animation based on OSGText

  Usability
  * Allow screenshots in more common file formats
  * User selectable sound device
  * More intuitive selection of the weather settings through the GUI and/or
    commandline

  Infrastructure
  * Airport geometry data can be read from the scenery, allowing for more
    flexible regeneration of terrain tiles

  Internals
  * Improved efficiency of the property tree
  * A more efficient ground cache
  * Many improvements to the route management code
  * Removed many compiler warnings
  * More realistic atmosphere model

  Behavior
  * More realistic ILS behavior
  * Autopilot improvements
  * A generic autobrake function
  * Winds over mountainous areas cause up- and downdrafts that can be used
    for gliding
  * More realistic behavior of the route manager
  * Wild fires, which can be extinguished by firefighter aircraft operating
    across the multplayer server
  * Navaid frequencies and radials can be transmitted to Atlas

  Utilities
  * A python script to visualize Yasim configuration files in Blender

  AI
  * Allow traffic departing and arriving at the same airport
  * Add Ground Vehicles - including automobiles, trucks, articulated trucks,
    trains (including high speed trains)
  * ATC interactions between AI aircraft and ground controllers
  * Performance characteristics of AI aircraft can be specified in a
    performance database
  * Push-back vehicles are available for a selected number of aircraft
  * Add escorts for AI carrier - frigates, guided missile cruiser, amphibious
    warfare ships now make up the Vinson Battle Group
  * Improved radar functionality - now detects AI escorts etc.
  * AI objects are now solid (i.e. users can collide with them)
  * Some preliminary support for SID/STAR procedures for AI aircraft

Version 1.9.0
* December 20, 2008 (source code snapshot release)


New in 0.9.10
* April 5, 2006

* Many improvements to the multi-player mode.  Other airplanes are now
  updated smoothly.  There is a really nifty google maps based moving
  map that anyone can use to track all online activity.
* AI planes have improved ground following and are smarter about
  selecting the active runway.
* Include the ability to send ATC and AI aircraft communication to a
  local festival server to be converted to spoken speech output.
* Added a detailed model of the Honeywell MK VIII EGPWS ground
  proximity warning system.
* Complete overhaul/redo of terrain textures based on USGS satellite imagery.
* Added background ATC chatter.
* Updated/improved rain cone rendering.
* Updated manual.

* Upgraded to JSBSim v2.0
* Fix a discrepancy in sign of twist and incidence values in YASim
  between code and documentation.
* Updates to YASim for more fine grained propeller modeling.
* UFO will now honor elevator trim value so that it will respond to
  the autopilot altitude hold module.
* UFO can adjust it's speed range so you can use it for super high
  speed world exploration, or extremly fine grained precise positioning.
* Much work and progress with carrier interaction and launch/recovery
  modeling.

* Add a feature that allows the end user to click any where on the
  terrain.  The system will compute a ground intersection and report
  back the lon, lat, and elevation of the click point.  The click
  point is reported in the property system so it can be read by just
  about anything including external programs.  Later we added the
  ability to place an object at the click point as well.
* Add a feature to play one-off wav files.  These are qeued and played
  sequentially.  This was then leveraged to build an ATC background
  chatter module in nasal that can be turned on/off at run time.  This
  could also be leveraged for tutorials or other interactive type
  scripts to play prerecorded messages at specific times or under
  specific conditions..
* Allow clock to report local time as well as universal.
* Add a model of a KLN89 GPS.
* Allow nav radios to be slaved to the gps.
* Allow enabling/disabling of menu entries.
* Replace old hardcoded frame rate display with a much more flexible
  nasal/gui version.
* Add a listener function to properties so that nasal code can be
  triggered whenever a property changes.  This is more efficient than
  polling.
* Add a save-on-exit option to save user preferences.
* Add support for point sprites.
* Add support for emissive layers (such as lights) on 2d panels.
* Updated gui styles.
* Updated airport and navaid data.
* Added a new Nasal/XML based tutorial system.

* Fix a bug in the metar (real weather) threading that could lead to
  long pauses and even crashes.
* Various compiler/platform fixes.
* Fix various valgrind complaints.
* Better use of exceptions in places.
* Fix the 2d compass texture handling.
* Many tweaks and improvements to our keyboard input handling system.
* Added a first attempt at MS-VC8 project files.

* Updated aircraft:
  - A4/A3F (cleanups and updates, functional drag chute)
  - A-10 (3d cockpit, fdm tuning, munitions, drop tanks)
  - AN-225 (fdm tuning)
  - B1900D
  - BO105 Eurocopter (new livry/logo options.)
  - B-29
  - B-52F (major overhaul)
  - Boeing 314 (3d cockpit, fdm updates)
  - 747 (modeling fixes)
  - Cirrus SR20 (improve interior a bit)
  - C172 (added KLN89 gps)
  - C310 (many modeling updates)
  - Citation Bravo (many modeling updates, Primus 1000 PFD)
  - Concorde (updated to v2.1, new views, sounds autopilot, fdm
    updates, new systems)
  - DHC2 Beaver
  - F-16 (modeling and munitions updates)
  - Hurricane
  - Hunter
  - MiG-15bis (adds some 3d cockpit instruments)
  - PC7 (various cleanups)
  - Seafire/Spitfire
  - Seahawk (general tidy up, cannon, heat haze, catapault launch strop)
  - T37 (geometry, sound, fdm updates)
  - YF-23 (misc model updates)

* New aircraft available:
  - Boeing 707
  - 737-300 (Brand new version)
  - Canberra BI8
  - English Electric Lightning (F.1A)
  - Lockheed 1049 Constellation
  - Lockheed F-80C Shooting Star
  - Messerschmitt Bf 109
  - Ogel (a for-fun fantasy airplane.)
  - New OV-10 with Clickable 3D cockpit
  - Piper PA24-250 Comanche 250 (N7764P)
  - Piper Aerostar 700


New in 0.9.9
* November 17, 2005

* New well integrated volumetric clouds by Harald Johnsen
* Removed 'old' 3D clouds code.
* Fixed the jitter problem with 3d cockpits.
* Volumetric shadows are now supported so that aircraft can cast
  shadows upon themselves as well as the ground.
* Better support for redoing livery textures on an individual aircraft.
* Support for seasonal terrain textures.  (Updates to summer textures
  plus new winter textures added.)
* Carrier - added working arrester wires and catapults. The carrier is
  selectable as a starting position. AI has been added to the 
  carrier in the form of an operating box and an automated turn
  into/out of wind. TACAN beacon added.
* Extensive revisions to the Multiplayer code. Multiplayer servers are
  now available.  A Google-based map server is also available
* Enhanced weather modeling (lightning and rain.)
* Support for high G redout/blackout effects.
* Add status updates to the initial splash/startup screen.
* Allow switching the tower view location at any time.
* Add support for configuring views with asymmetric view frustums.
* Many updates to gui/dialog box infrastructure.  Ability to alter
  border thickness, change fonts, dialog boxes are draggable across
  the screen, you can enable automatic line wrapping, select
  colors, and allow key presses to be bound to widgets.
* Replaced many hardcoded dialog boxes with xml configurable dialog boxes.
* Support for xml configurable gui themes.
* Help dialog boxes supported for each aircraft listing special keys,
  global keys, procedures and performance data.
* Updates and enhancements to many of the dialog boxes to fix problems,
  expose new features, enhance usability, etc.
* Added a generic, XML configurable, autopilot framework, and several
  high level, configurable filter implementations for use by autopilot
  designers.
* Added a transponder and Altitude encoder.
* Made the instruments code much more configurable, it is now possible to
  only include instruments that are actually present.
* Implemented the groundcache code which made it possible for aircraft
  to follow the ground precisely and, as a result, made it possible to
  land on aircraft carriers. 

* Updated JSBSim version since the last release.  (More updates
  pending after this release.)
* YASim: expose "spool-time" of a jet engine as a config parameter,
  add an oil temp model, support gear compression along any arbitrary axis,
  reworked MP calculations for super/turbochargers.
* Allow setting individual sample/update rates for any of the PID
  autopilot stages.

* Support TACAN instruments.  And an IVSI instrument.
* Support for new animations and effects such as heat-haze and chrome.
* Dynamic taxiway following at airports equipped with a logical ground
  network.
* Ability to define "AI" scenarios with scripted moving objects that
  interact intelligently with the environment and the simulator state.
* Depricated old (somewhat less the spectacularly conceived)
  electrical system model in favor of a much more flexible script based
  system that can be tailored to any individual aircraft.
* Include an external utility that can feed saved nmea tracks back
  into FlightGear.  If you take a gps on a real flight with you and
  capture the output, you can replay your flight in FlightGear.
* Added a function that can intersect any arbitrary vector with the
  loaded scenery and return the hit point.
* Many updates and fixes to the joystick configuration files, many new
  joysticks directly supported.

* Removed all lingering dependencies on plib's SL sound library.
* Add support for OpenAL 1.1 and alut.  OpenAL is a 3d sound system supporting
  directional sound and doppler effects.
  
  
* Better cross platform compatibility with our standard network structures.
* More cpu friendly frame rate throttling code that can leave more cpu
  available for other apps.
* Various Nasal (scripting) bug fixes and language improvements.
* Various bug fixes, various platform/compiler compatibility fixes,
  several memory leaks fixed.

* New aircraft available (in various stages of developement): A380,
  Boeing 314 (seaplane), Citation Bravo (glass cockpit), Hurricane IIb,
  MiG-15bis, TU-114, B29, C150, and SR20.

* Aircraft that have had updates since the last release: 737, A-10,
  AN-225, B-52F, BAC-TSR2, Citation-II (550), Comper Swift, Concorde,
  Hunter, OV10, Spitfire, T37, B1900d, bo105, C172 et. al., C182, DHC2F
  (Beaver), F16, Fokker DR1 Triplane, Fokker 50 (turboprop), Fokker
  100 (jet), J3 Cub, P51, Santa, Seahawk, and 1903 Wright Flyer.
  

New in 0.9.8
* January 18, 2005

* Added an encoder and transponder to the available avionics modules.

* Updates to the AI traffic manager.
* Updates to the submodel system.  This allows things like contrails,
  payload dropping, projectile firing, and aircraft carrier landings.
* Added some controls for aircraft carrier operations.
* Updated to sync with latest JSBSim developments.
* YAsim adds support for contra-rotating propeller pairs as well as
  crude models for ITT, Oil Temp and Oil Pressure in the jet turbine
  engine model.
* Instruments, avionics, and subsystems are now configurable per
  aircraft.  You can assemble the correct componets available for each
  particular aircraft.
* Updates to the wet compass to make it behave much more like a real
  wet compass including various errors and motion effects.
* Make display list usage optional since these can be a net
  performance loss on some older or low memory platforms.
* Make sound inaudible until after the scenery is loaded.
* Make sure the ATIS reports surface winds at airports above sea-level
* Default C172 3d model has been completely reworked and many things
  have been fixed or sized or placed more accurately.

* Move radio stack and avionics code from cockpit library to
  instrumentation library.
* Added several digital filters to the autopilot: exponential, dobule
  exponential, moving average, and noise spike.  These are available
  to aircraft designers via the autopilot config file.
* Replace old basic.dat.gz and runways.dat.gz with apt.dat.gz (x-plane format)

* Fix a crash that could occur when the joystick config specified more
  buttons or axes than the physical hardware provided.
* Fixes to make FlightGear work with 16bpp visual depth.

* Various FreeBSD fixes.
* Various MSVC fixes.
* Various Mac OS X fixes.
* gcc 2.95 and 4.0 fixes.

* Updated aircraft: 737, A-10, AN-225, B-52, BAC-TSR2, Concorde,
  Spitfire, BO-105 Eurocopter, DHC2, F-15 (updated flight control system),
  Fokker DR1, Fokker 50, Fokker 100, OV10, Seahawk made carrier
  capable (working arresting hook), 

* New aircraft: Cessna Citation-II (wip), Beech 1900D, DHC-2 Beaver
  (on floats)

* Updated KAP140 autopilot instrument (used in default C172.)

* Updated Nimitz model (aircraft carrier), updated radio tower models,
  added Oracle head quarters to bay area scenery, added Dumbarton
  bridge at the south end of the SFO bay, added a model of Alcatraz, 


New in 0.9.6
* October 12, 2004

* Added some initial support for "submodels" which can be used to
  impliment things like contrails, flares, tracers, etc.
* Make real world weather fetching a bit more robust and network friendly.
* Ensure the entire world is initially loaded before initializing the
  flight dynamics (avoids wildly varying frame rates at a time when
  the FDM might be trying to do various initialization steps that
  might benefit from consistent and fast frame rates.)
* Other various (and minor) code cleanups, tweaks, and fixes.
* Fixed ATIS voice file.
* Updated aircraft: A320, Bo-105, Comper Swift, Concorde, F16,
  Fokker-50, Fokker-100, Hunter, MD11, PC7, Spitfire, adjust
  C172 cockpit sound levels, and Sgs-233.
* Updated joystick configs: CH pro yoke usb, Cyborg Evo, Thrustmaster FCS.
* Fix a bug in the nasal fuel tank management code.
* Return Canadian ILS's to nav data.
* Cleaned up some of the 3d models around the bay area.
* Add support for display list based rendering which yields
  substantial performance gains for many systems.
* Synced with latest JSBSim code.
* Fixed a reference point bug in YASim.
* Revived the hi-res (tiled) screen shot code so you can again produce
  insanely and arbitrarily large resolution screen shots.
* Beefed up the tile pager so it can more sensibly handle insanely
  rapid motion.


New in 0.9.5
* July 29, 2004

* New AIModel based air traffic subsystem (Durk Talsma)
* Updates to the AIModel subsystem.
* Switched audio subsystem from plib's "sl" to OpenAL.
* Added support for SDL (pre-compile time configuration option.)
* Threaded tile loader now enabled by default.
* Overhauled Nav database code to directly support Robin Peel's default format.
* Synced with latest JSBSim developments.
* YASim now supports a nasal (script) based fuel management system.
* YASim adds a simple turbo prop engine model.
* Added an xml based gui/widget layout system for building dialog boxes.
* Make gui windows dragable/repositionable.
* Hide the mouse pointer when it sits idle.  Mouse pointer reappears
  on any mouse motion.
* The GPS module has been overhauled.
* New joystick configurations added: Cyborg Evo, Top Gun Fox2 Pro USB,
  MacAlly iStick USB, SideWinder Precision Pro (on Windows.)
* Updated aircraft: 747 flight dynamics model, A-10, AN-225, B-52F, BAC-TSR2,
  T-37, T-38, YF-23, Beech-99, BO-105 (helicopter), DC-3, F-104, F-16,
  Fokker 50, Fokker 100, Pilatus PC-7.
* New aircraft: Concorde, MD-11, Spitfire IIA, TU-154.
* Updated airport, runway, taxiway, windsock, beacon, and tower data.
* Updated world scenery based on SRTM terrain data.  New scenery includes
  accurate radio towers for the USA.
* Fix a small bug in the "generic" export protocol.
* Fix (workaround) the shrinking dialogs bug.
* Delay FDM initialization until initial scenery is fully loaded.

New in 0.9.4
* March 26, 2004

* Impliment SimGear's (aka Andy's) Nasal scripting language in
  FlightGear and integrate with the FG property system.
* Many updates from David Culp and David Luff to the AI aircraft and
  ATC modules.
* Complete overhaul of the autopilot system.  The new system uses a
  much more advanced PID algorithm, is much more flexible, and is
  completely reconfigurable for each aircraft.
* Added the ability to fetch current weather in real time during a
  flight (via a thread) from the weather.noaa.gov web site and update
  the current weather conditions in the sim.
* Added properly working VASI/PAPI lights.
* Make the ground intersection code smart so allow flying under
  bridges, taxiing on the lower level of the bay bridge, taxiing into
  hangers, etc.
* Added a utility to automatically manage scenery installation and
  removal.
* Several updated ground textures, plus a variety of new random
  scenery objects.

* Much additional work on the San Francisco area buildings and bridges.

* Added a Comper Swift (nice), a Hawker Hunter (nice), added a T37 Tweet, 

* Updates to the 737 (nice panel, 3d model, and flight model), updates
  to the 747 flight dynamics, updates to the OV10, T38, AN-225, bo105
  (helicopter), better sounds for the DC-3, updates to f104 model,
  many updates to the F16, updates to the J3 Cub, 3D cockpit added to
  the pa28-161, updates to the sgs233, overhaul of the tsr2 and yf23
  models.

* The UFO became Santa Claus over the holidays, but it is back to
  being extra terrestial.


* First stab at a weather radar instrument.

* Added a number of basic 3d instruments to the instrument library
  that could be reused used for any general aviation cockpit.

* Clean up much of the extraneous alias system entries for aircraft.
  Generally this means that if there is only one version of an
  aircraft, there is only one entry and no aliases.  If there are
  multiple versions of an aircraft, we may still have an alias to
  point to the prefered or default version.

* Added RedHat packaging files.
* Added some perl script utility functions which are useful when
  writing remote perl scripts that interact with a running copy of
  FlightGear.  Includes routines to facility remote control of data
  logging and even some simple graph plotting.
* Updates to OpenGC interface.
* Various JSBSim updates.
* Various YASim updates.
* Various UIUCsim updates.
* More work on the native multiplayer system.

* Sorted out the confusion between left, right, and parking brakes
  vs. the cockpit controls vs. the wheels they apply to.
* Much infrastructure added to support future GPS instruments.
* Fixed a meter/feet conversion problem in DME distance calculations
  which would cause it to often read quite high.
* Fixes to nmea output so it can better trick a moving map software
  application into thinking it is talking to a real gps.

* Fixed a subtle problem with our star database that has been lurking
  for many years, but it took an astronomy expert to spot the subtle
  misalignments.

* Add support for Logitech Extreme 3D Pro, thrustmaster top gun
  afterburner USB, Logitech WingMan Force 3D, Logitech Extreme 3D Pro
  USB, and Microsoft SideWinder 3D Pro joysticks.

* Removed the old WeatherCM module (it can be resurrected from CVS if
  any one ever wants to do that.)
* Removed the NetworkOLK module (it can be resurrected from CVS if
  any one ever wants to do that.)
* Removed support for the PSL scripting language.


New in 0.9.3
* October 24, 2003

* Added a flight "replay" system.
* Many updates to the ATC and AI aircraft subsystem. (David Luff)
* Add support for moving cloud layers.
* New "symbolic" time of day dialog box for easily setting dawn, dusk,
  noon, etc.
* Aircraft are now each self contained in their own individual
  subdirectories for easier end user addition and removal.
* Many improvements to scene lighting throughout the day->night range
  including more realistic sky and fog colors, more realistic scene
  illumination, better dusk/dawn sky coloring, better specular
  lighting support.
* A nice new chase view has been added.
* Added displaced thresholds on all runways that have them.
* Updated default scenery for the KSFO area.
* Many buildings and bridges added in the San Francisco area.
* Updated airport and navaid database, many new taxiways, many
  corrected runways, many new airports (especially outside the USA.)
* Updates to the man page.
* Better Win32 packaging (more standardized installer, plus a launcher
  which allows selection of starting location and starting aircraft.)
* Added an initial cut at modeling helicopters.
* Support multiple inside the cockpit views.
* Updated FlightGear Flight School tutorial.

* Use the field elevation for GS when no specific altitude listed in
  FAA/DAFIF data
* Fix to translate DME and TACAN X/Y channels to paired VHF frequencies
  correctly.  Thanks to Jorge Van Hemelryck <ml@jvh.net> for the fix.
* Fixes to runway search routines (didn't always work correctly under
  some circumstances.)
* Many fixes and updates to the autopilot.  Autothrottle tracks speed
  much better with much less jumping around.  
* Expose the tuned navaid via the property system to support building
  more advanced avionics.
* Improvements to the environment manager and gui's, more control over
  turbulence, ability to specify boundary condition layers as well as
  aloft condition layers.
* JSBSim updates including a new turbine engine model that supports
  things like starting and stopping procedures and thrust reversing.
* UIUCsim updates (compiler warning and namespace conflict fixes.)
* YASim updates (fix drag from shutdown engine, helicopter support,
  better in air startup support.)
* Support for "clock" instruments that operate independently of
  computer system time.
* Annunciators shouldn't work if electrical system not serviceable.
* A few updated splash screens.
* Added various fields to net_ctrls and net_fdm to include various
  failures, faults, control surface positions, and other interesting
  things.
* A few updated joystick definition files.
* Various keyboard mapping tweaks and changes.
* Many updates and tweaks to default material properties and random
  land cover objects.
* Updated aircraft: 747, A320, T-38, A-10, B-52, F-104, Fokker 50,
  Fokker 100, Piper Cub, P-51, UFO, YF-23, Ornithopter, A-4, C172,
  and F-16
* New Aircraft: J-22, Paraglider, SGS-126 Sailplane, ASW 20, and
  AN-225 aircraft; Bell 206 JetRanger, CH-47 Chinook, and Ecureuil
  AS-350 helicoptors.
* Updated cloud textures.

* Removed dependency on Metakit.  The airport and runway databases are now
  stored in a simple flat file ascii database.

* FreeBSD, Solaris, MSVC, Irix, Mac OSX, cygwin, and mingwin fixes.


New in 0.9.2
* June 4, 2003

* New aircraft available: P51-D (w/ full 3d cockpit), Sea Hawk
  (WV908), a research ornithopter (propelled by actual flapping
  wings), A10, B-52, F-104, F-15, F-16, OV10, PA28-161, T-6A Texan II,
  T-38, British TSR2, YF-23, 737,

* Updated aircraft: airwave extreme hang glider, asw20 glider, A-4
  Skyhawk, Beech-99, Cessna 172 w/ 3d cockpit, Cessna 310 w/ 3d
  cockpit, DC3, Piper J3 Cub, 1903 Wright Flyer, Sopwith Camel, Space
  Shuttle, Boeing 747-400

* Overhauled menu/gui system and made it xml configurable rather than
  hardwired.  Include support for things like checkboxes, sliders, and
  dials.

* Added some early multiplayer features.

* Added support for in-air presets relative to a VOR, NDB, or fix.

* Support for Futaba, Airtronics, Hitec, JR, Multiplex and Tower R/C
  transmitters using the RCJoy USB interface box (see
  http://www.rcjoy.com).

* Much improved sky and coloring as well as more realistic coloring of
  the sunset and sunrise.

* Clouds are drawn on a surface that better matches the underlying
  curve of the earth.

* A few updated terrain textures, better variety of random ground
  cover objects.

* Most weather options can now be set via the GUI.  Added an option to
  randomize the weather.

* Various instruments and systems can now be failed/unfailed via the
  GUI.

* Developed scripts to build Navaid and ILS databases from DAFIFT,
  FAA, and other data sources.
* Update Navaid and ILS databases based on DAFIFT, FAA, and other data
  sources.

* Continued development of voice ATC, robot aircraft AI, logical
  taxiway networks (continues to be a work in progess, but much
  progress has been made.)
* Separated out much of the low level model/material management code
  and moved it over to SimGear where it can be potentially used by
  other projects.
* Separated out the low level sound effect playing/management code and
  moved it over to SimGear.
* Added functions to the "telnet" interface to allow remote management
  of autopilot waypoints.
* Support the parking brake in the "external" flight dynamics interface.
* Added support for an audio panel (set of switches to set various
  avionics audio sources on/off in the aircraft.)
* Add support for speed brake and spoiler controls.
* Many code updates to UIUCmodel including support for ornithopters
  (flapping wing vehicles.)
* Many JSBsim code updates include a new turbine engine model.
* Added a "named pipe" external flight dynamics model interface.
* YASim updates including support for manual-pitch control props,
  support for wing washout, and adjusting aircraft masses as fuel is
  consumed.
* The property picker interface now shows the property values changing
  dynamically.
* Added support for a simple annunciator panel (fuel, oil, vacuum,
  volts dummy warning lights.)
* Added a "gyro" model.  This can be driven electrically (turn
  coordinator) or via vacuum (attitude indicator).  If one of these
  systems failes, the corresponding gyro will spin down realistically
  an introduce realistic errors in the gauge reading.
* Model attitude indicator tumbling at extreme attitudes.
* Modeled the pitot system and use that drive the air speed indicator. 
* Added a very simplistic volts/amps model to the electrical
  system...enough to make the gauges behave plausibly and drive the
  annunciator panel correctly.
* Updated the vacuum/suction model to behave more realistically.
* Added Italian and Polish translation for the GUI.

* Mac OS X fixes.
* Better FreeBSD support.
* Mingwin fixes.
* Improved native sgi compiler support.
* MSVC fixes.

* Fixed problems in marker beacon audio.
* Fixed several subtle problems in the modeling/positioning of glide
  slope transmitters in FlightGear
* Don't allow the dewpoint to go higher than the temperature.
* Don't allow gust speed to be less than base wind speed.
* Fix a couple problems in the external fdm interface that prevented
  FlightGear from being driven properly by an external source (i.e. to
  act as a image generator only.)
* Fixes to camera parameters for external views (especially when rotating
  the view around the different axes.)
* Many miscellaneous code clean ups, many bug fixes, and much code
  refactoring.


New in 0.9.1
* December 5, 2002

* Fixes a problem with a missing file in the source distribution of 0.9.0
* Updates to AI aircraft subsystem (this is a work in progress)
* Added a canned ATC voice handling class (using prerecorded voice snippets.)
* Added voice ATIS


New in 0.9.0
* December 3, 2002

* Support for fully animated, fully clickable 3d instrument panels.
* Support for runway, approach, and taxiway lighting.  Lighting is
  directional and intensity varies smoothly with relative view
  direction.
* Many new and updated aircraft.
* Improved runway textures.
* Some improved terrain textures.
* Added a util called terrasync to runtime fetch just the scenery you
  need from the master scenery server as you fly.  No need to
  pre-download large chunks of data.
* Add a vacuum system and support for it's failure.
* Add a pitot system and support for it's failure.
* Model gyro spin for various instruments.
* Added support for modeling complex aircraft electrical system.  Sample
  implimentation for a C172, simplistic electrical model provided for
  other aircraft until their specific system is modeled.
* Added a "presets" section to the GUI.
* Localization support for GUI and for command line option help, including
  the ability to specify a custom per language font.
* Support for specifying an initial startup runway.
* Splash screen now slowly fades out revealing the ready to run sim.
* Support additional joysticks: Logitech WingMan Force,
   Logitech WingMan Extreme Digital 3D (USB), and Saitek Cyborg Gold 3D USB,
   CH Virtual Pilot USB/USB CH Pedals, 

* Many updates to External/Network FDM interface.
* Many updates to the JSBSim FDM model code.
* Many updates from the UIUC folk to their FDM package.
* Many updates to the YASim FDM model code (fuel usage, tunable
  induced drag parameter, better gear tuning, fix a ground effect bug,
  and a standalone config file compiler.
* Make rotational rate FDM values available in the property tree.
* Fix a subtle bug in the ssg partial tree deleter code.
* Started a new XML configurable GUI subsystem.
* Some preliminary support for AI driven aircraft.
* Fix ILS back course needle deflection.
* Fix for ATI driver "issue" causing instrument panels to be all gray.
* Support for toggling 3d instrument hotspot visibility (debugging/learning
  tool.)
* Tweaks to instrument panel night lighting.
* Added a per engine fuel pump switch.

* NOMINMAX fix for cygwin/gcc-3.2
* Renamed External FDM to NullFDM
* New module/submodule system.
* IRIX build fixes
* Restructured some of the initialization code to facilitate reseting the sim
  to alternate presets (airport, runway, offset distance, altitude, speed, etc.)
* Fixed DG heading bug hold to work with new instrumentation updates.
* Updates to autopilot to let it work with perfect values as a compile time
  option.
* Split Nav/Com units, and DME out into their own source files.
* Fixes to support newer versions of plib/cvs


New in 0.8.0
* September 7, 2002

* The world is now populated with random ground objects with
  appropriate type and density for the local ground cover type
  (buildings, water towers, farm houses, silos, cows, trees, etc.)
* Many (most?) ground textures updated for a much nicer, more coherent,
  more realistic overall look and feel.
* Added a java client library for FlightGear.
* Added some external scripting examples (python.)
* Implemented a Bendix/King KT 70 transponder.
* Implemented a Bendix/King KR 87 adf.
* Added support for 3d instrument panels inside 3d cockpits.
* Added support for animation of 3d models tied to internal properties.
* New/updated aircraft include: Cessna 172, Piper J3 Cub, DC-3, A4
  Skyhawk, Cessna 310, 747, 1903 Wright Flyer (non-linear with stall
  modeled, based on wind tunnel data.)
* Convert the magic carpet into a UFO, complete with sound effects and
  a 3d model (based on real world data of course.) :-)
* Environment manager overhaul
* Support for a base wind speed with gusts.
* Support for a base wind direction with variation.
* Support for more dynamically reconfigurable cloud layers.  Cloud
  layers are no longer hard coded.

* Updates and additions to the FAQ
* Improvements to the sound effects module.
* Autopilot fixes to allow it to work much better on large airliners.
* Added a generic interface for running the flight dynamics model as a
  separate process communicating via a network connection.
* Synced with the latest JSBSim code.
* Synced with the latest UIUCmodel code.
* Many fixes and updates to the YASim FDM (fixed flap drag issue, new
  tail wheel lock, lots of solver fixes, and fixes to other internal
  stuff.)
* Added support for menus defined in an xml file.
* Make the help system start more robustly/quickly in Win32
* Added support for detecting the name of a joystick and using the
  appropriate default joystick config file.
* Overhauled the remote/network property interface.
* Added a --show-aircraft option to dump out a list of all the
  available aircraft you can select with the --aircraft=NAME option.
* Added a --random-wind command line option.
* --wind= option can now contain ranges,
  i.e. --wind=min_dir:max_dir@min_speed:max_speed; the system will
  automatically vary the wind within these ranges.
* A "physical" crash (i.e. too-hard impact with the ground) causes the
  sim to freeze.  You can then reset the sim to the starting state
  with the menu->reset option.

* Support in the scenery tile cache for maintaining tiles in the cache
  relative to several view points that could be *very* far apart.
* Brake makes the magic carpet fly backwards.
* Many clean ups, fixes, and improvements with the tile pager.  Memory free
  is now done incrementally and spread out through multiple frames to hide it.
* Modernized the autoconf/make scripts.
* Cleaned up old cruft from the build system.
* Default to using FGEnvironment
* Removed support for efence (in favor of valgrind.)
* Bumped minimum plib version required up to 1.4.2, however the latest
  cvs (and hopefully release) works much better.
* Added valgrind debugging config files/scripts.
* Weeded out many warnings/errors flagged by valgrind.
* Overhauled the FGSubsystem class.
* Fixed reporting of winds, cloudbase and altimeter setting.
* FGSteam converted to a proper FGSubsystem.
* Fix fog on 3dfx cards.
* Added internal support for turning each tank on/off individually.
* Added support for a fuel selector switch.
* Fixes to builtin property browser.
* Fixed several math overflow problems with time elapsed calculations
  that had crept in.  These would cause some things to stop updating
  (like portions of the instrument panel, and radio station frequency
  matching.)
* Updates to the network OpenGC interface.

* Irix fixes.
* Mac OS X fixes.
* MSVC fixes.
* IA-64 w/ Intel compiler fixes.

* automake/conf script enhancemnts and fixes.
* Updated the UIUCModel code.
* Removed some dos line endings that crept in.
* Spelling fixes.
* Removed some depricated code related to the old view management system.
* Fix a problem with VOR station lookups where we wouldn't always find
  the closest station of a given frequency.
* Changed the default Nav radio frequencies to be more appropriate for SFO.
* Retrimmed the C172
* Added seats and other interior stuff to the J3 Cub, and retrimmed.  Also
  fixed wing incidence in the 3d visual model.
* Fixed C310u3a-3d.  3d cockpit instruments can now be seen.
* Fixes to the DC-3 such as tank location; other surface and wheel position
  adjustments.  Increase effectiveness of rudder, vstab, and hstab.
* Updated some of the preconfigured joystick files.
* Updated man pages
* Fixed problem with pressure/altitude getting botched up after a reset
* Use a nicer helvetica font for the menus.
* Various fixes to the internal pui property browser.
* Fixed a typo in the scenery file loader that could cause a crash on
  some platforms.
* More joystick configuration defaults. (Saitek Cyborg Gold 3D USB,
  non FF sidewinder precision 2 usb)
* More texture tweaks.
* Additional fixes and panel work for the J3 Cub.


New in 0.7.10
* April 20, 2002

* Much work on drawing and animating 3d aircraft models for things like the
  chase and tower views.  Propellers spin, control surfaces move, gear
  retracts, etc.
* Overhauled mouse handling code and make it user configurable.
* Added a new environment (as in weather) subsystem.
* Added a new logging module
* Aded a new ATC subsystem.
* Virtual 3d Cessna 172 cockpit (work in progress) but many things are
  animated and working.
* Virtual 3d Cessna 310 cockpit.
* Instrument panel background can now be a set of tiled textures so we can
  achieve *much* higher resolution.

* Major property manager overhaul.
* Major view code overhaul.  All views are now configurable via config files.
* Major overhaul of the sound manager, it is now much more
  configurable with many sound effect improvements.
* Seperate XML I/O opertions into a separate header.
* Impliment a standard FGSubsystem interface for module consistency.
* Add waypoint dialog now shows entire current waypoint list in a scroll box.
* Elevator trim position now shown on the HUD.
* Use an LED font for radios (and added infrastructer/support for
  additional fonts.)
* Continued work on developing a generalized network interface to an external
  flight dynamics model running as a separate process on the same or different
  machine.
* Initial glideslope and climb rate can be specified from the command line.
* Fixes and improvements to make ground trimming more robust.
* Many JSBSim updates and improvements, JSBSim now exports all it's 
  interesting internal state via the property manager.
* Many updates to UIUCsim including support for non-linear models, flaps.
* Move tower view location when teleporting to a new airport.
* Created a new /devices subtree in the property manager to display
  current device status.

* Many YASim updates and bug fixes, autogen contact points for
  collision detection, support for full engine startup procedure,
  minimal support for magnetos, support skid objects (non-rolling gear
  objects), reduce idle power a bit, export gear compression amount to
  the property tree, include wind when computing airspeed, 

* Fixes to the property picker/browser.
* Fixes and updates to the configure script.
* Several potential memory abuse bugs detected (valgrind) and fixed (Melchior)
* Fix an instrument panel text bug ... an integer overflow could prevent
  the text from displaying if the panel was turned off for more than 37.8 
  minutes.
* Fixed a segfault when trying to audibly ident a nav station.  Changes in
  the sound manager code broke some assumptions.
* Fixed a bug (another int overflow) which could trick the event
  manager into thinking the next time to run the events is *way* in
  the future.
* Various performance optimizations.
* More work on saving/restoring flights
* Of all the ILS stations of the specified frequency, pick the one the most
  directly points at us.
* Various restructures in the scenery loading code in preparation for
  more flexible runway lighting support.
* Fixes/improvements to the scenery/line interesection code.

* Various IRIX fixes.
* Various MSVC fixes.
* Various compiler warning messages fixed.


New in 0.7.9 (final)
* February 16, 2002

* Fixes to the Thanks file.
* Fix --time-offset in the man page and options help.
* Fixed the spelling of Celsius.
* Cleaned up some stray cout's
* Removed some redundant FG* class qualifiers in various headers.
* GUI dialog box fixes for autopilot.
* Ensure that initial engine settings are copied over from FlightGear
  to JSBSim.
* FreeBSD fix from JSBSim.


New in 0.7.9pre2
* February 13, 2002

* JSBSim FGPiston mixture improvements
* Enable Audio by default in MSVC builds
* Added a clock freeze option.


New in 0.7.9pre1
* February 12, 2002

* Switch to JSBSim (jsbsim.sf.net) as our default flight model.
* Added additional aircraft: Cessna 182, Cessna 172 (ifr panel),
  and a Cessna 310 (twin prop).
* Added an entirely new set of flight dynamics modeling code by Andy Ross.
  Includes several aircraft such as a 747, A4, and DC-3.
  This is (Y)et (A)nother Flight Dynamics (Sim)ulator.  It is a first cut
  of a "different take" on FDM design.  It's intended to be very simple
  to use, producing reasonable results for aircraft of all sorts and sizes,
  while maintaining simulation plausibility even in odd flight conditions
  like spins and aerobatics.  It's at the point now where one can
  actually fly the planes around.
* Added an optional embedded http server that provides a property
  manager interface to external programs and scripts.
* Added an optional embedded http server that can serve out live
  screen shots to anyone on the web.
* Sync with the latest JSBSim code.
* Added simple ATIS support.
* More flexible autopilot that can be tuned per aircraft.
* Many updates to the HUD to allow it to handle a much bigger set of
  symbology and functionality
* Support for back course ILS approaches.
* Implimented DME ETE and speed.
* Added support for rudder and aileron trim.
* Many improvents with piston engine and propeller modeling.  Engine
  startup procedures work, and engine guages work.
* Added support for retractable gear.
* Added 'master freeze' and 'fuel freeze' modes.  Would like to add
  other freeze modes soon.
* Added a 'high' level aircraft config file that specifies things like
  the FDM code to use, the aircraft config file, the 3d model, the
  instrument panel, autopilot config, etc.
* Added a neat external 'chase' view control panel.
* Added a GUI interface to the property manager system.
* Moved keybinding definitions to a config file.
* Many additions and improvements to the sound effects including
  stall horn, tire squeek, ground rumble, wind noise, flaps, etc.
* Enable introduction music in windows (off by default on all platforms)
* Added support for the OpenGC glass cockpit project.
* Added support for flying ILS approaches in both runway directions if the
  same frequency is used in both cases.

* Added an autogen.sh script for those compiling from CVS code.
* Attempt to support more incompatible varients of the
  automake/autoconf tools.
* Added basic man pages.
* Removed old remnants of plib-1.2.x support.  Plib-1.4.x is now required.
* Added support for building mandrake packages (other packaging system
  contributions welcom.)
* Various initialization and startup sequence fixes and tweaks.
  This helps get the flight dynamics model going reliably and robustly.
  It also helps get initial time of day effects correct.
* Fixed a config problem that could lead to bogus builds for people with
  Voodoo cards.
* Better support for running with an alternate time/date for when we
  are being slaved to an external data source.
* Fixed (simplistic) terrain following autopilot mode.
* Fixes to problems with window aspect ratio that could surface if the
  window was resized.
* Fix several off by one errors in hud_card.cxx
* Fix gauge spelling error.
* Modified FGSubsystem::update() to take an int parameter for delta time.
* Many internal fixes and enhancements to the core code that manages
  instrument panel modeling and rendering.
* LaRCsim EGT doesn't show 'running' values while cranking.
* Fixes to JSBSim so that the slip/skid ball is much more realistically modelled
* Added support for an unlimited number of fuel tanks.
* Multi-engine throttle fixes.
* A round of updates to the UIUC flight dynamics model.
* Fixed an annoying tile cache scheduling bug.  This makes tile paging
  much more robust even with teleporting and reseting.
* Fixed a potential mouse freeze up condition on windows.
* Converted the materials file to xml.
* Tweaked and updated initial option and config file parsing to be
  more intuitive and robust.
* Check for the proper version of the base file and exit gracefully
  if not found.
* Fixed a problem with the initial view offset being lost.
* Various floating point / initial value bug fixes
* Added support for tracing property manager reads and writes (for
  debugging purposes.)
* Fixed the problem where the simulator clock time would go goofy
  when scenery was being loaded.
* Make the tile cache system more tolerant of situations where the tile
  cache is full, but no entry qualifies for removal.

* MSVC fixes.
* IRIX fixes.
* FreeBSD fixes.
* Mac OS X fixes.
* Better cygwin and mingwin support.
* Better support for gcc-3.0


New in 0.7.8
* July 13, 2001
* Updated to the latest JSBSim flight dynamics model (http://jsbsim.sf.net)
* First release of a bundled utility: fgjs which assists you in creating
  a joystick/button configuration for your setup.
* Updated airport data file with taxiways at many major airports.
* Better support for using an external browser to view online help
  components.  Windows support for this will be included in the next
  revision.
* Now using plib-1.4.x which supports more than 3 concurrent sounds.
* Most of the README's and documentation has been reviewed and brought
  up to date.
* Support for ultra-hires screen dumps suitable for large scale
  printed output.
* Updated, more flexible binary scenery format.
* Support for using digital axes (i.e. a hat) as a pair of buttons
  which can be mapped to any function a button could be mapped to.
* Added user documentation to the base package
* Added a c172 mini panel.
* Improved c172 panel graphics.
* Added units to configuration files
* Fixed X15 panel
* External view panning fix ups.
* Fixed the segfault on exit bug.
* Lots of property manager tweaks.  Appened units to property name to
  make it explicit, adjusted read/write/archive bits and defaults
* MSVC fixups.
* gcc-3.0 fixups.
* Irix fixups.
* Fixed a potential segfault in radio station lookup/search code.
* Fixed a bug in the audio system intialization order that could cause
  a segfault in some circumstances.
* Fixed a typo in the 2nd tank property name so it's value is now accessible
  from the instrument panel. 
* Fixed a bug when loading the "old" binary scenery which prevented ground
  lighting from being generated.
* Jettison old conditionally compiled plib-1.2.x code, we now require
  plib-1.4.x or higher.
* Eliminated some convoluted that generated a harmless, but confusing
  "*** NO TIMEZONE" error message,
* Fixed doubled bindings for joystick buttons.
* Threading fixups.
* Fixed a bug with the time warping/offset code.  You can again
  startup with a proper time offset if you like.
* Fixed a couple memory problems ... attempting to access/use/write to
  previously freed memory.

New in 0.7.7
* June 20, 2001

* Cleaned up various warning messages
* Various Cygwin fixes.
* Various MSVC fixes.
* Various Irix Mips fixes.

* Check for null panel before passing mouse events to panel object.
* Fixed panel edge artifacts (due to unwanted texture wrapping.)
* Fixed a typo in the base/materials file.
* Various property manager fixes.
* Various property manager lookup optimizations.
* Fixed a bug in the autopilot altitude hold that crept in.

* Converted from hardcoded to configurable keyboard bindings.
* Added an FGSubsystem base class so subsystems can be managed with a
  common api.
* Keyboard commands are now completely remapable.  Removed BFI and
  keyboard in place of remapable inputs.
* Started to impliment a command manager.  This along with the
  property manager will go a long ways toward building infrastructure
  for scripting.
* Started laying infrastructure for creating ultra-high-res tiled
  screen shots suitable for printers.
* Synced with a recent version of JSBSim.
* GUI code split into smaller logical subcomponents.
* FGOptions converted to use property manager directly.
* "delta-t" and fdm interface timing fixes and tweaks.
* Added a sound effect manager class at the FlightGear level.

* Support for setting a starting position as and offset distance (and /
  or radial) from your specified starting postition.  This allows you to
  initialize on final x miles out at y altitude.
* Many updates to make a much more realistic single engine and prop model
  with atmospheric and velocity dependencies.  Fuel flow now modeled.
* Straightened out magnetic offset issues with VOR stations so we can
  navigate properly from real avaition charts.
* Added a direct network interface support for the "Atlas" moving map
  program.  (Output radio stack settings so current VOR and OBS can be
  visualized.)
* Autopilot made to work more like a real world autopilot (rather than
  based on perfect values.)  Autopilot wing leveler is slaved off the
  turn coordinator.  Heading hold is slaved from the DG (which drifts).
  Nav and ILS holds slave off the needle position.
* Backcorse ILS needle should move in correct direction now.
* Identing of NAV radios (and individual volume control) now work.
* Don't play DME ident if no colocated DME.
* VOR/ILS/ADF range pickup realistically modeled as per AIM.
* Added support for marker beacons.
* Support for loading and saving the current 'simulator state' using
  an xml formated file.
* Added threaded tile paging for systems with pthread support.
* Added high level support for creating airport taxiway and runway signs.
* Many updates and fixes to the "installation and getting started" manual.
* Support for adding static objects to the scenery.
* Many updates and new features for the xml configurable panel engine.
  Many corresponding improvements to the default instrument panel.
* Support added for incrementally numbering screen snapshots.
* Added support for a new, smaller, faster binary scenery format.
* Added an xml configurable HUD engine.
* Added interface glue to propogate wind values to LaRCsim.

New in 0.7.6
* December 15, 2000
* Added night ground cover lights with user controllable densities on
  a per texture basis.  Lights have a bit of a "fog punch through" effect.
* Support added for "shaped" instrument panels.
* Added support for virtual panels that are larger than the screen
  space which can scroll.
* Added waypoint and route flying support to the autopilot and HUD.
* New highly detailed runway textures with accurate markings.
* Added a basic piston engine model, with support for rpm, egt, cht, mp,
  and mixture.
* Many tweaks and improvements to the c172 instrument panel.
* Corrections and additions to the airport and navaid database.
* Added an external interface to the property manager so you can
  "telnet" into a running copy of FlightGear, cd through the property
  tree and examine and even change values, all from a remote computer.
* Improvements to flight model initialization.
* Fixes and improvements to the save/restore code.
* Added a load/save dialog box for saving/restoring your current flight.
* Program notes max texture size for your card/driver so it can load
  higher resultion textures if they are available and if you can use
  them.
* Added a visibility= command line option for setting intial visibility
  distance.
* Range of tiles loaded and drawn are now directly calculated from the current
  visibility distance so that the ground always blends smoothly into sky.
* Rewrote the tile caching scheme so it is now more flexible, more dynamic,
  simpler, and more robust.
* Updates to the FDM bus.
* Many clean ups with the view code to prepare the way for a greater
  variety of external views.
* MSVC project files now included in the source distribution.
* Fixed a view bug that could make the aircraft model appear rotated
  incorrectly
* Fixed a bug with the autopilot rate of climb hold.
* Internal property manager tweaks.
* Additional materials can be aliased to an existing material to save
  texture space (at the expense of less texture variety)
* MSVC tweaks.
* MacOS tweaks.

New in 0.7.5
* September 18, 2000
* Aircraft now starts at end of runway closest to desired heading.
* Runways now have accurate markings.
* Addition of a completely reconfigurable instrument panel.
* Tons of panel tweaks and fixes.  Gyro now drifts, relocated whisky compass,
  skid ball moves in the right direction, etc.
* Updates and tweaks to network multiplayer code.
* Tweaks to ground steering sensitivity.
* Updates to the UIUC flightmodel and icing research code.
* Fixed the sound problem in the previous version.
* Current scenery normal is now available for use.
* Current load queue size is now available for use.
* Added a configure time check for proper simgear version.
* Explicitely link in -lpthread if it exists.
* Fixed a couple namespace problems.
* MacOS and MSVC tweaks.
* Renamed JSBsim to JSBSim
* Added support in the material library for non-repeating textures.

New in 0.7.4
* July 19, 2000

* VOR reception now scales with altitude.
* Added differential braking support.
* Landing gear modeling code now works in JSBSim
* Overhauled cloud code substantially, new cloud textures.
* Added support for Ray Woodworth's 5 axis motion chair.
* Red light the panel at night and shade based on time of day.

* Fixed autopilot altitude hold increment bug.
* Fixed screen snap shot function.
* Fixed mach number for LaRCsim.
* --start-date-gmt option fixed.
* Fixes to uiuc includes and initializations
* Fixes to periodic scheduler.
* Fixed a tile loading bug if the load queue wasn't empty before a reset or
  teleport.

* Some additional MSVC5 portability fixes.
* Tweaks to build with newest gcc under Irix contributed by Erik Hofman.

* Clean out a pile of old junk in the material manager library from the
  pre-ssg days, and majorly overhauled it.
* Complete reengineering of the panel code in preparation for moving the
  configuration out into a data file.
* Lots of hashing around with Joystick support trying to achieve something
  that is flexible enough to handle the zillions of possible configurations
  out there.  Hopefully we are approaching a workable solution.
* Better windows support in our joystick module.
* View code simplifications and optimizations contributed by Norman Vine.

* Added support for $FG_SCENERY and --fg-scenery=path so scenery can have a
  different location from the base package.
* Moved drop in sky module, world time module, ephemeris module, and low
  level communications modules over to simgear.
* Replaced gdbm with metakit
* Added David Megginson's property manager


New in 0.7.3
* May 18, 2000
* Added a radio stack 2 VOR/ILS and an ADF to the instrument panel.
  You can change the frequencies by clicking on the knobs on the
  instrument panels.  You can now navigate with VOR/ADF/DME and fly
  ILS approaches.
* Added a chronometer to the instrument panel.
* Added a "wet" compass to the top of the instrument panel.
* Compass, vsi, and altitute instruments and vacuum system are more
  accurately modeled.
* Added a magnetic variation model.
* Added navaid database management and query code.
* Added magvar offset to VOR radials.
* Heading bug now display magnetic heading rather than true heading.
* Autopilot now has modes to track a VOR and GS.
* Added custom joystick client support so sim can be flown from a
  remote joystick connected to another machine.  This is in support of
  some custom hardware located in the human factors research lab of the
  university of minnesota.
* HUD controls are a bit different "h" toggles through day/night/off
  modes and "H" cycles through brightness levels.
* Norman Vine contributed code to optionally do antialiased hud lines
  on hardware that supports this.  Norman also contributed additional
  hud cleanups and updates.
* Updates to JSBsim flight dynamics code that includes a generic
  reconfigurable flight control system, a initial state trimming routine,
  support for wind and weather, support for flaps, independent trim control,
  config files changes
* Updates to LaRCsim flight dynamcis code contributed by UIUC that
  allows loading aircraft specifications at runtime from config files.
  UIUC is using flightgear as a platform to do icing research.  The UIUC
  aircraft use the c172 gear model for now which causes some weirdness
  on the ground for some of the larger aircraft.
* Flight model no longer has to be chosen at compile time.
* Separated ephemeris code from the actual sky rendering code and gave
  this whole section a big overhaul.  The moon should now consistantly
  have the correct phase.
* Rebuilt the sky dome using ssg.
* Removed dependencies on mat3.h and friends (old srgp support lib)
* Airport lookups now done through gdbm (a light weight embedded database.)
* Converted ssgVTable's to ssgVtxTables which do proper memory
  management and should facilitate use of compiled vertex arrays once
  ssg add support for these.
* Overhauled autopilot internals, separated out the gui controls from
  the actual autopilot code.
* Cygwin32 build fixes
* MSVC++ build fixes
* Mac build fixes

New in 0.7.2
* February 17, 2000
* Lots of code reorganizations
* Build requires plib-1.1.x
* Build requires SimGear-0.0.x
* LaRCsim/c172 is now the default aircraft model.
* Added flaps support to control model.
* Lots of updates and tweaks for the LaRCsim/c172 model.
* Use a more standard texture/blend mode combination for sun/moon halos to
  avoid render path that's not supported by all cards/drivers.
* Change reported speed on hud from V_equiv_kts to V_calibrated_kts
* Instrument panel rewrite by David Megginson.  This isn't quite as flashy
  as the first pass, but is much more functional, plays much better with 
  opengl, and it should be relatively easy for someone with graphical skills
  to make it look more spiffy.
* MacOS fixes contributed by Darrell Walisser.
* Many JSBsim updates.
* Added a screen snapshot facility (F3).
* Added a load/save state function contributed by David Megginson.
* Added support for various I/O protocols and channels so that flightgear
  can communicate with itself and other programs through a variety of means.
* Bug fix:  The aircraft model used for external views was being included in 
  the height above terrain check so when the view position and the aircraft
  model collided the current altitude kept getting pushed up to compensate,
  but of course the aircraft model would get pushed up as well because it
  tracks the current aircraft position and orientation.  Thus you had a never
  ending cycle ...
* Oliver's multiplayer network code now moved to his own subdirectory:
  NetworkOLK
* Added simulated cloud puffs as we pass through the cloud layer.
* Cleaned up some memory leaks occuring between ssg and flightgear.
* Update to Christian's weather data base code.

New in 0.7.1
* Durk Talsma added a nifty cloud layer.
* Default to Christian Mayer's new weather system.
* Added routines to do screen printing contributed by Mark Vallevand.
* Added routines to do screen shots to ppm graphics file (all platforms)
  contributed Rich Kaszeta.
* Added a magic carpet (aka slew) mode.
* Added a hot air balloon simulator mode. (alpha)
* Added a simple (direct lincage) autocoordation feature.
* Added a mode to control view (side to side and up and down) with the mouse.
* Fixed a DEM decoding problem which caused most of the terrain to be 256
  meter too high (and regenerated the world scenery with proper elevations.)
* Updates to JSBsim.
* Added support for a pilot view offset from the center of gravity.
* Various platform portability fixes.
* Updated time-offset/syncing command line options.
* Updated the FDM <==> Flight Gear interface to be more object oriented.
  This should hopefully pave the way for being able to simulate several
  concurrent entities.
* Removed unimplemented menu entries.
* Various scenery tools changes and enhancements in preparation for adding
  runways (hopefully for the next release.)

New in 0.7.0
* Autopilot can now fly great circle routes.
* Incorporated a first stab at some networking code contributed by Oliver
  Delise.
* Added Christian Mayer's new weather subsystem.
* Started adding support for "external" views ... still needs some work.
* Added a flight model acceleration funtion.
* Added support for mouse yoke control contributed by David Megginson.
* FDM model hertz now definable from the command line.
* Added initial timezone support so the user can have better control and more 
  options for setting the starting time of the sim.
* We now draw nonexistant tiles as ocean which means we only have to create
  and distribute tiles that contain some sort of land mass.

* Replaced basic render engine with plib's ssg (simple scene graph).
* Now expect plib to be installed in it's one true and official location.
* Added support for timegm() if it exists which explicitely expects GMT input.
* A bit of your basic code reorganization and shuffling.

* Removed tools dependency on libgfc.  Functionality is now covered by 
  shapelib which has been added into the Tools tree.
* Added support for the wonderful GSHHS global land mass data set.
* Removed dependecy on process-dem.pl script.
* Created a new distributed/parallel tile build system ... hmmm kind of super
  computer or beowulf style stuff for getting large chunks of scenery built
  as fast as possible.
* Only generate tiles that have land mass data since the sim can recreate pure
  ocean tiles on the fly.
* First stab at a water flattening scheme to prevent oceans, lakes, and rivers
  from running up and down the sides of hills.
* Changed the default "Work/" subdirectory layout.
* Updates to better handle segment boundaries in preparation for real airport
  runway and lighting modeling.
* Updates and enhancements to my polygon management class.

* Updates to JSBsim.
* Updates to Tony's c172 model.
* Updated getting started guide from Micheal Basler.

* FreeBSD portability tweaks.
* MACos portability tweaks.
* Borland C++ tweaks.
* MSVC++ tweaks.

New in 0.6.0
* Tons of improvements with scenery creation.  Inter-tile gaps have been
  fixed, distorted textures have been fixed, real coastlines have been added,
  and many other subtle improvements.
* Tools for parallelizing the scenery building tasks.  For instance by using
  20 machines in parallel, scenery for the entire USA can be regenerated in
  just over 4 hours vs. 70+ hours on a single machine.
* Texture scale can be specified (and changed)( in the materials file.  The
  sim must be rerun for the change to take effect.
* Windows now uses plib joystick code so rudder pedals should now work.
* Now builds against Steve Baker's plib (portable game devel library) 
  distributed separately (www.woodsoup.org/~sbaker/plib/)
* Many source code changes for the MacOS port contributed by Darrell
  Walisser (the port isn't quite there yet ...)
* Source code changes for better compiling with the Borland compiler.
* Source code changes for better compiling with the native Irix compilers.
* Fixed a bug so you can now fly across the international date line (or
  more precisely the division between longitude = +/-180.
* Tweaks to the Astro section contributed by Durk Talsma.
* Autopilot improvements contributed by Norman Vine.
* Fonts/characters now drawn with texture maps for increased speed.
* Instrument panel can be toggled on and off with "P".
* GUI interface for tweaking some autopilot parameters.
* HUD appearance and layout changes contributed by Norman Vine, includes
  faster font drawing for much better performance.
* Reset function added to reset you to your starting conditions.
* GUI function to enter a new airport id (and be transported there)
* Added serial output support for an "in-development" full motion cockpit.
* "Just in time" texture loading to reduce initial sim loading time.


New in 0.59 (This is an intermediate/stepping stone release.  Skip this 
             release if you are interested in stability.)
* IRIX portability changes and support for native SGI compilers.
* Solaris portability tweaks
* Incorporated some MacOS portability changes (although the port is not
  yet complete.)
* Changes to allow adjustment of the autopilot settings while it is
  activated.
* Began complete overhaul of scenery generation tools.
* Fixed a view frustum culling bug.
* separated lib GPC (generic polygon clipper.)  GPC is not "freeware" and
  the author has explicitely refused our request to distribute source code
  for this library with Flight Gear.
* updated installation and getting started guide
* switched to a simpler, lighter weight frame rate calculation method.
* new tile division scheme.
* GPS serial *output* fixes.
* Added a nifty halo to both the sun and moon.  Preparation for allowing
  subtle moon lighting effects at night.
* Incorporated Jon Berndt's new C++ flight model rewrite.
* Autopilot settings can be adjusted while active.
* Updates to the instrument panel.
* Fixed AOA reading on the HUD.
* Added random splash screens.
* Modified scenery loader to accept tri-fans.
* Other non-backwards compatible changes to scenery file format and tile
  layout.


New in 0.58
* Added JSBsim alpha code ... this is Jon S. Berndts alpha FDM rewrite.
  Still lots to do, but you can watch a balistic flight for a short time.
* Renamed Simulator/Flight to Simulator/FDM
* Tweaks to assist building FGFS on solaris platforms.
* Moved Lib/DEM to Tools/DEM
* Started preparations for scenery generation tools overhaul.
* More MSVC++ support.
* Removed code that made the sun bigger at the horizon since this is just
  an optical illusion in real life.
* Bug fixed so that the sim can start out at an airport below sea level.

New in 0.57
* Converted to a simpler frame rate counting method.
* Fixed the AOA reading on the HUD.
* Removed gpc from the Lib section of distribution by request of the
  gpc Author.  The gpc license is unfortunately not compatible with
  the GPL.  I may look for an alternative library, or just require
  that developers download this library separately.
* First slew of changes from the MacOS porting effort contributed by
 "Robert Puyol" <puyol@abvent.fr>.
* Support for an arbitrary number of serial ports + additional serial port 
  output tweaks.
* Serial output tweaks to make things more robust and act more like a GPS.
* Portability enhancements for Borland, Solaris, and SGI.
* Some internal class renaming and reorganizations.  fgFLIGHT becomes FGState.
  fgCONTROLS becomes FGControls.
* Started work on an "external" flight model so the sim can be driven from
  external input (serial port, network, file, etc.)
* Fixed a problem that creeped in with setting the initial startup altitude.
  This could cause an unrecoverable bounce and you'd end up flipped on your
  back.  Should be fixed now.
* Sun now appears to grow in size as it gets very low in the horizon.
* Fixed a view frustum culling bug where the scene was not accurately culled
  when your view was anything other than straight forward.

New in 0.56
* Changed default HUD units to the more standard feet units.  You can still
  use meters by specifying the command line option "--units-meters".
* Added some initial joystick support using Steve's joystick interface class.
  This works great under Linux, but Steve's class now needs to be ported to
  Windoze and other platforms.
* Also added a fall back to the GLUT joystick routines for windows (until
  we can find better joystick support.)
* Added some initial serial port support for acting like gps and outputing 
  nmea data such that could be fed into a flight map software package.
* Miscellaneous code clean ups, portability improvements, and optimizations.
* Switched to a streams based error/debug logging system that can be
  completely stripped out for a release build (./configure --without-logging)
* Support for cygwin32 b20 compiler (latest release)
* Continued progress on instrument panel
* Support for starting fgfs at higher resolutions.

New in 0.55
* New version of gpc (generic polygon clipping library) from 
  http://www.cs.man.ac.uk/aig/staff/alan/software/
* Brakes (use "b" to toggle)
* Added an altitude hold module to the autopilot.  Lock your current altitude
  with "ctrl-a", "cntr-a" again will deactivate.  (Also lock your current 
  heading with "ctrl-h", and again to deactivate.)
* Added a terrain following module ... "ctrl-t" to activate.
* Added an autothrottle ... "ctrl-s" to activate.
* Fixes so that terrain tools will work in windoze.
* More STL & Compiler compatibility fixes.
* Changes to use a Point3 class.
* Fixed win95/98 time problem that limited fps to about 18.3

New in 0.54
* Implimented audio envelopes so that pitch of engine changes with throttle
* Textured moon, and rewritten/restructured Astro code.
* More optimizations and code cleanups.  (Norman Vine, Bernie Bright, Charlie
  Hotchkiss.)
* Bug fixed that was causing odd display artifacts due to a degenerate
  fragment being created for every tile.
* Bug fixed that caused scenery generation to go bad (misplaced fclose on an
  invalid file descriptor.)
* Code changes to support g++ 2.7 STL (from Bernie Bright)

New in 0.53
* Some initial "GameGLUT" support contributed by Gary R. Van Sickle
  (tiberius@braemarinc.com)
* Tracked down and eliminated some memory access type bugs that were
  causing segfaults on some platforms, with some compilers using various
  optimization flags.
* Assorted code optimizations submitted by Norman Vine.
* Renamed fg -> fgfs
* Shuffled files.  
  - Created a new directory Simulator/Airports/ to handle airport data 
    specific tasks 
  - Created Simulator/Object/ to handle basic rendering objects
* Panel code update from Friedemann Reinhard (use --enable-panel to activate)
* Contributions from Bernie Bright
  - Created some new classes to enable pointers-to-functions and
    pointers-to-class-methods to be treated like objects.  These objects
    can be registered with fgEVENT_MGR.
  - File "Include/fg_callback.hxx" contains the callback class defns.
  - Modified fgEVENT and fgEVENT_MGR to use the callback classes.  Also
    some minor tweaks to STL usage.
  - Added file "Include/fg_stl_config.h" to deal with STL portability
    issues.  Added an initial config for egcs (and probably gcc-2.8.x).
    Don't have access to Visual C++ so I've left that for someone else.
  - This file is influenced by the stl_config.h file delivered with egcs.
  - Added "Include/auto_ptr.hxx" which contains an implementation of the
    STL auto_ptr class which is not provided in all STL implementations
    and is needed to use the callback classes.
  - Deleted fgLightUpdate() which was just a wrapper to call
    fgLIGHT::Update().
  - Modified fg_init.cxx to register two method callbacks in place of the
    old wrapper functions.
  - The new classes in libmisc.tgz define a stream interface into zlib.       
    I've put these in a new directory, Lib/Misc.  Feel free to rename it      
    to something more appropriate.  However you'll have to change the         
    include directives in all the other files.  Additionally you'll have      
    add the library to Lib/Makefile.am and Simulator/Main/Makefile.am.        
                                                                              
    The StopWatch class in Lib/Misc requires a HAVE_GETRUSAGE autoconf        
    test so I've included the required changes in config.tgz.                 
                                                                              
    There are a fair few changes to Simulator/Objects as I've moved           
    things around.  Loading tiles is quicker but thats not where the delay    
    is.  Tile loading takes a few tenths of a second per file on a P200       
    but it seems to be the post-processing that leads to a noticeable         
    blip in framerate.  I suppose its time to start profiling to see where    
    the delays are.                                                           
                                                                              
    I've included a brief description of each archives contents.              
                                                                              
    Lib/Misc/
      zfstream.cxx
      zfstream.hxx
        C++ stream interface into zlib.
        Taken from zlib-1.1.3/contrib/iostream/.
        Minor mods for STL compatibility.
        There's no copyright associated with these so I assume they're
        covered by zlib's.

      fgstream.cxx
      fgstream.hxx
        FlightGear input stream using gz_ifstream.  Tries to open the
        given filename.  If that fails then filename is examined and a
        ".gz" suffix is removed or appended and that file is opened.

      stopwatch.hxx
        A simple timer for benchmarking.  Not used in production code.
        Taken from the Blitz++ project.  Covered by GPL.

      strutils.cxx
      strutils.hxx
        Some simple string manipulation routines.

    Simulator/Airports/
      Load airports database using fgstream.
      Changed fgAIRPORTS to use set<> instead of map<>.
      Added bool fgAIRPORTS::search() as a neater way doing the lookup.
      Returns true if found.

    Simulator/Astro/
      Modified fgStarsInit() to load stars database using fgstream.

    Simulator/Objects/
      Modified fgObjLoad() to use fgstream.
      Modified fgMATERIAL_MGR::load_lib() to use fgstream.
      Many changes to fgMATERIAL.
      Some changes to fgFRAGMENT but I forget what!

New in 0.52
* Stars added in 8 stages as sky gets darker for a smoother more realistic
  transition.
* rewrote star loader to significantly improve load times.
* Tweaked sky brightness and dawn/dusk colors.
* Fixed a small problem with moon rendering.
* Fog color tries to track the sky color at the center of view in sunrise
  and sunset situations.
* Optimizations from Norman Vine
* Code fixes and tweaks from Charlie Hotchkiss.
* Added an --enable/disable-sound option.
* Added a pause key "p"
* Added command line options to specify initial position and orientation.
* Added command line option to start in paused or unpaused state.

New in 0.51
* Translucent menus
* Various HUD intensities so you can find something that is readable for the
  current conditions and lighting.
* Tie visibility to far clip plane & view frustum culling so reducting
  visibility can increase frame rates by increasing what is culled.
* Fixed stupid bug with misplaced initial position.
* Hopefully fixed a bug when parsing system.fgfsrc on windoze.

New in 0.50
* HUD updates from Charlie Hotchkiss (ladder number rotate w/ ladder, control
  position indicators are back)
* Only draw the PUI cursor if Mesa/Glide/Fullscreen.
* Added mipmapping.
* Calculate the model view transformation matrix once per tile per iteration.
  Then glLoadMatrixd() it for each fragment rather than calling push(), 
  translate(), pop().
* Added a basic splash screen.
* Added support for switching between fullscreen and window mode for 
  Mesa/3dfx/glide.
* added an enable/disable splash screen option
* added an enable/disable intro music option
* added an enable/disable instrument panel option
* added an enable/disable mouse pointer option
* Ground collision detection.  You can now land or test for collision with
  any scenery surface.
* Converted angle of attack scale into a radio altimeter.

New in 0.49
* Managment of multiple textures
* Incorporated Friedemann Reinhard's initial panel code.
* Fog mode is now GL_FOG_EXP2 instead of GL_FOG_LINEAR
* Build the non-shared pieces of the FG sim as static libs.

New in 0.48
* Incorporated Steve Baker's PUI user interface library written
  entirely on top of OpenGL
* Incorporated Steve Baker's Audio library which currently only
  supports Linux, but a win32 port is very close to being done.
* Sort object fragments by material property before rendering.  This
  will be a big help to performance when we start including objects
  with a wide variety of material properties and textures.
* Overlapped scenery tiles to reduce the chance of an occasional
  floating point precission induced gaps.
* Fixed a bug in zlib exposed by Borland Win32 compiler.
* Impose a maximum triangle area during scenery generation so even
  very flat areas will get split into a few smaller sub triangles.
* Fine grained (fragment level) view frustum culling.
* view transformation optimizations -- Norman Vine.
* Fixed polygon winding problem in scenery generation, so all
  tri-strips are wound counter clockwise (opengl default).

New in 0.47
* Course (per tile) view frustum culling.
* Added a command line option to specify --fg-root which will override
  $FG_ROOT
* Hard coded default locations for FG_ROOT for situations when nothing
  is specified.  Unix = /usr/local/lib/FlightGear  Win32 = \FlightGear
* Restructured the command line processing code so that it can process
  these sames comands (one per line) out of a config file.
* Added a command line option to specify field of view.  This is
  adjustable at run time using "X / x".  Supporting code contributed
  by Norman Vine.

New in 0.46:
* Complete C++ re-write of the HUD section.
* Miscellaneous bug fixes and tweaks.

New in 0.45:
* Added an option to enable/disable wireframe rendering.
* Added an option to enable/disable fog/haze.
* Added an option to enable/disable sky blending.
* Added an option to select smooth/flat polygon shading.
* Added an option to enable full-screen mode.
* Added a visual frame rate counter on the HUD.  (Contributed by Durk Talsma)
* Autopilot updates (Jeff Goeke-Smith)
* Added an option to control the number of neighboring tiles that are drawn

New in 0.44: 
* Fixed a horible bug that cause the time to be *WAY* off when
  compiling with the CygWin32 compiler.
* Wrap up zlib so we can conditionally compile back in normal behavior
  on systems that have trouble building zlib.
* Minor adjustment to texture coordinate generation to reduce texture
  swimming.
* Added a command line option to enable/disable texture maps
* Minor transformation adjustments to try to keep scenery tiles closer
  to (0, 0, 0) GLfloats run out of precision at the distances we need
  to model the earth, but we can do a bunch of pre-transformations
  using double floats and then cast to GLfloat once everything is
  close in where we have less precision problems.
* command line option to set starting position by airport ID
* Cleaned up initialization sequence to eliminate interdependencies
  between sun position, lighting, and view position.  This creates a
  valid single pass initialization path.
* use already calculated LaRCsim values to create the roll/pitch/yaw
  transformation matrix

New in 0.43:
* material properties bug fixed when rendering terrain.
* bug in sky color generation fixed.
* bug in fog color generation fixed.
* zlib on the fly decompression/compression support.
* more code reorganization and clean ups.
* a fixed up 30 arcsec DEM file preprocessor.  World wide DEM's are 
  available in this format.

New in 0.42:
* Simple autopilot heading hold contributed by 
  Jeff Goeke-Smith <jgoeke@voyager.net>
* More code reorganization and clean ups.

New in 0.41:
* Many autoconf cleanups and tweaks
* make and make install work in unix
* make works for cygnus win32 (but not install yet)
* make dist now works
* added the Tools directory into the main source tree

New in 0.40:
* Gnu automake/autoconf/libtool make system
* Initial texture support
* Bug fixes
